Subject: Re: GNU Screen
From: [email-masked]
Cc: [email-masked]
Date: Fri, 7 Feb 2003 08:15:47 +0100

Hello, Brian and list,

I am running screen 3.9.8. It seems that I was able to compile it under
a previous version of Cygwin, but alas since 1.3.12 not anymore. I am
still using this previously compiled binary.

FWIW, I just tried to compile screen and I get the following error in the
screen sources :

gcc -c -I. -I.    -O utmp.c
utmp.c: In function `pututslot':
utmp.c:588: void value not ignored as it ought to be
utmp.c: In function `makedead':
utmp.c:597: structure has no member named `ut_exit'
utmp.c:598: structure has no member named `ut_exit'
make: *** [utmp.o] Fout 1

The version that I use works well, but problems with detaching and
attaching probably have more to do with the braindead Windows
consoles than with screen itself. What also did change in this respect,
is its behaviour.

When you detach, the DOS console does not disappear. When I did
a reattach in older versions from another DOS box, then the session
became active again in the previous box instead of in the current box.

Oh, and it does not seem to work in an xterm. Pity...

Regards,

Jurgen

Brian McGroarty <[email-masked]>
Sent by: 
[email-masked]
02/06/2003 05:45 PM

        To:     [email-masked]
        cc:     (bcc: Jurgen Defurne/BRG/CE/PHILIPS)
        Subject:        GNU Screen
        Classification: 

I'm currently unable to build GNU Screen properly.

Looking back through archives, I see that a few users have built it
with varying degrees of success -- none are able to use nonstandard
terminal sizes, and some say they cannot successfully reattach to a
session.

Before I dig into this, is anybody else successfully using screen, or
is anybody already working at a port?

Brian McGroarty
http://www.mcgroarty.net

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/